<div>
    <h2 id="page-heading">
        <span>Booking Services</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-booking-services" [routerLink]="['/booking-services/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Booking Services
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bookingServices?.length === 0">
        <span>No bookingServices found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bookingServices && bookingServices.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Shop Category Id</span></th>
                    <th scope="col" ><span>Shop Id</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Is Active</span></th>
                    <th scope="col" ><span>Service Name</span></th>
                    <th scope="col" ><span>Service Id</span></th>
                    <th scope="col" ><span>From Latitude</span></th>
                    <th scope="col" ><span>From Longitude</span></th>
                    <th scope="col" ><span>To Latitude</span></th>
                    <th scope="col" ><span>To Longitude</span></th>
                    <th scope="col" ><span>Created By</span></th>
                    <th scope="col" ><span>Updated By</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col" ><span>Booking Status Id</span></th>
                    <th scope="col" ><span>Booking</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bookingServices of bookingServices ;trackBy: trackId">
                    <td><a [routerLink]="['/booking-services', bookingServices.id, 'view']">{{ bookingServices.id }}</a></td>
                    <td>{{ bookingServices.shopCategoryId }}</td>
                    <td>{{ bookingServices.shopId }}</td>
                    <td>{{ bookingServices.remark }}</td>
                    <td>{{ bookingServices.isActive }}</td>
                    <td>{{ bookingServices.serviceName }}</td>
                    <td>{{ bookingServices.serviceId }}</td>
                    <td>{{ bookingServices.fromLatitude }}</td>
                    <td>{{ bookingServices.fromLongitude }}</td>
                    <td>{{ bookingServices.toLatitude }}</td>
                    <td>{{ bookingServices.toLongitude }}</td>
                    <td>{{ bookingServices.createdBy | date:'medium' }}</td>
                    <td>{{ bookingServices.updatedBy | date:'medium' }}</td>
                    <td>{{ bookingServices.createdAt | date:'medium' }}</td>
                    <td>{{ bookingServices.updatedAt | date:'medium' }}</td>
                    <td>
                        <div *ngIf="bookingServices.bookingStatusId">
                            <a [routerLink]="['/booking-status', bookingServices.bookingStatusId?.id, 'view']" >{{ bookingServices.bookingStatusId?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="bookingServices.booking">
                            <a [routerLink]="['/booking', bookingServices.booking?.id, 'view']" >{{ bookingServices.booking?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/booking-services', bookingServices.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/booking-services', bookingServices.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bookingServices)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
